// vim: set tw=80 ts=4 sw=4 sts=4:
var angular = require('angular');

var ngStorage  = require('meanie-angular-storage'),
    ngHttpAuth = require('angular-http-auth'),
    ngStrap    = require('angular-strap');

// Note: ngHttpAuth seems to have no module.exports.
ngHttpAuth = 'http-auth-interceptor';

var LoginService = require('./login.service');
var LoginConfig = require('./login.config');

export default angular.module('accountant.login', [
    ngHttpAuth,
    ngStorage
])

    .service('LoginService', LoginService)

    .config(LoginConfig)

    .run(function($rootScope, LoginService) {
        var onAuthLoginRequired = $rootScope.$on('event:auth-loginRequired', LoginService.loginModal);

        $rootScope.$on('$destroy', function() {
            onAuthLoginRequired = angular.noop();
        });
    })

    .name;
